commit:     ade07e84ef5031f4970c7598642f73654711ce58
Author:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 31 08:48:30 2024 +0000
Commit:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Sun Mar 31 08:48:30 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ade07e84

media-sound/sidplayfp: bump to 2.7.0

Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>

 media-sound/sidplayfp/Manifest               |  1 +
 media-sound/sidplayfp/sidplayfp-2.7.0.ebuild | 45 ++++++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/media-sound/sidplayfp/Manifest b/media-sound/sidplayfp/Manifest
index db79c5008d7e..663df38f9195 100644
--- a/media-sound/sidplayfp/Manifest
+++ b/media-sound/sidplayfp/Manifest
@@ -1 +1,2 @@
 DIST sidplayfp-2.6.2.tar.gz 246903 BLAKE2B 
1e59d2ebbe9fad40b321502283a4972ceb3fe92b9f50426a619def42d9a5304d203919f9894d3a003ea01c3430e0f8420f581fc2afa007a998bcdd707b818948
 SHA512 
eb9a074acc5b50dff539ca7bfc4b43d0a66d0f1ed31ae4165db1f7a804e16fb8f69ce0be4f885d45f219899e4909460412dd726c8fa052e1dc16124c26cee093
+DIST sidplayfp-2.7.0.tar.gz 247006 BLAKE2B 
abf6a00b818df7c228114470eeb92902bca2179b6f16751b1c023b5d18df661c7551ae469264e2e54f117b2fdd914cdeefac33f034fcf9c2182b61d4c3d06b8a
 SHA512 
22fd5d70bad33071c080f87144f17ae41a82046a7f7f9b8fb510968810d74024f512ddabf70fc7b01e92b4345f0e8e8c3477b523ab2ef4975ff00d3007ce33bc

diff --git a/media-sound/sidplayfp/sidplayfp-2.7.0.ebuild 
b/media-sound/sidplayfp/sidplayfp-2.7.0.ebuild
new file mode 100644
index 000000000000..622dd37d0372
--- /dev/null
+++ b/media-sound/sidplayfp/sidplayfp-2.7.0.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Sidplay2 fork with resid-fp"
+HOMEPAGE="https://sourceforge.net/projects/sidplay-residfp/";
+SRC_URI="mirror://sourceforge/sidplay-residfp/${PN}/$(ver_cut 1-2)/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+alsa oss pulseaudio"
+
+BDEPEND="virtual/pkgconfig"
+RDEPEND="
+       media-libs/libsidplayfp
+       alsa? ( media-libs/alsa-lib )
+       pulseaudio? ( media-libs/libpulse )"
+DEPEND="${RDEPEND}
+       oss? ( virtual/os-headers )"
+
+DOCS=( AUTHORS README TODO )
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-1.4.4-musl-limits.patch
+)
+
+src_prepare() {
+       default
+
+       if ! use alsa; then
+               sed -i -e 's:alsa >= 1.0:dIsAbLe&:' configure || die
+       fi
+
+       if ! use pulseaudio; then
+               sed -i -e 's:libpulse-simple >= 1.0:dIsAbLe&:' configure || die
+       fi
+}
+
+src_configure() {
+       export ac_cv_header_linux_soundcard_h=$(usex oss)
+
+       econf
+}

Reply via email to